Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002356 [Piwigo] metadata minor always 2011.06.21 16:21 2011.07.15 00:02
Reporter plg View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.2.4 Product Version 2.2.3
  Target Version 2.2.4 Product Build
Summary 0002356: when EXIF date is incorrect, we should consider it as empty
Description On some galleries we can sometimes see year "0000" in the calendar. Of course, this is an error. This is because date_creation was defined from the EXIF date, and this date was erronous.

Piwigo should avoid to repeat this error in its own database.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0005337)
svn (reporter)
2011.07.15 00:01

[Subversion] r11747 by plg on branch 2.2

-----[Subversion commit log]----------------------------------------------------
bug 2356 fixed: if the EXIF date can't be parsed, we don't use it to fill the photo date
(0005338)
svn (reporter)
2011.07.15 00:02

[Subversion] r11748 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
merge r11747 from branch 2.2 to trunk

bug 2356 fixed: if the EXIF date can't be parsed, we don't use it to fill the photo date

- Issue History
Date Modified Username Field Change
2011.06.21 16:21 plg New Issue
2011.06.21 16:21 plg Status new => assigned
2011.06.21 16:21 plg Assigned To => plg
2011.06.21 16:21 plg browser => any
2011.06.21 16:21 plg Web server => Apache 1.3.x
2011.07.15 00:01 svn Checkin
2011.07.15 00:01 svn Note Added: 0005337
2011.07.15 00:02 plg Summary when EXIF date is 0000-00-00, we should consider it as empty => when EXIF date is incorrect, we should consider it as empty
2011.07.15 00:02 svn Checkin
2011.07.15 00:02 svn Note Added: 0005338
2011.07.15 00:02 plg Status assigned => closed
2011.07.15 00:02 plg Resolution open => fixed
2011.07.15 00:02 plg Fixed in Version => 2.2.4


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker